/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.weekday;

import org.tinygroup.weekday.common.CommonFunction;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 纯时间部分
 * @author luoguo
 *
 */
@XStreamAlias("time")
public class PureTime implements Comparable<PureTime> {
	@XStreamAsAttribute
	private int hour;
	@XStreamAsAttribute
	private int minute;
	@XStreamAsAttribute
	private int second;

	public PureTime() {
	}

	public PureTime(int hour, int minute, int second) {
		this.hour = hour;
		this.minute = minute;
		this.second = second;
	}

	public int getHour() {
		return hour;
	}

	public void setHour(int hour) {
		this.hour = hour;
	}

	public int getMinute() {
		return minute;
	}

	public void setMinute(int minute) {
		this.minute = minute;
	}

	public int getSecond() {
		return second;
	}

	public void setSecond(int second) {
		this.second = second;
	}

	public int compareTo(PureTime pureTime) {
		int hourCompare = CommonFunction.compare(hour, pureTime.hour);
		if (hourCompare != 0) {
			return hourCompare;
		}
		int minuteCompare = CommonFunction.compare(minute, pureTime.minute);
		if (minuteCompare != 0) {
			return minuteCompare;
		}
		return CommonFunction.compare(minute, pureTime.minute);
	}

}
