/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.weekday.check;

import org.tinygroup.weekday.DateChecker;
import org.tinygroup.weekday.PureDate;
import org.tinygroup.weekday.config.DatePeriod;

import com.thoughtworks.xstream.annotations.XStreamAlias;

@XStreamAlias("holiday-period-checker")
public class HolidayPeriodChecker implements DateChecker {
	@XStreamAlias("date-period")
	private DatePeriod datePeriod;

	public DatePeriod getDatePeriod() {
		return datePeriod;
	}

	public void setDatePeriod(DatePeriod datePeriod) {
		this.datePeriod = datePeriod;
	}

	public boolean isWeekday(PureDate pureDate) {
		if (pureDate.compareTo(datePeriod.getStartDate()) >= 0
				&& pureDate.compareTo(datePeriod.getEndDate()) <= 0) {
			return false;
		}
		return true;
	}

	public boolean isSuitableDate(PureDate pureDate) {
		if (pureDate.compareTo(datePeriod.getStartDate()) >= 0
				&& pureDate.compareTo(datePeriod.getEndDate()) <= 0) {
			return true;
		}
		return false;
	}

}
